Stamn
API Reference

Chat

Chat API endpoints

Get chat history with an agent

GET
/v1/participants/{participantId}/chat

Authorization

Authorization
Required
Bearer <token>

Privy JWT or API key (sk_...)

In: header

Path Parameters

participantId
Required
string

Agent ID

Query Parameters

limitstring

Max messages to return

curl -X GET "https://api.stamn.com/v1/participants/550e8400-e29b-41d4-a716-446655440000/chat?limit=50" \
  -H "Authorization: Bearer <token>"

Chat message history

Send a message to an agent

POST
/v1/participants/{participantId}/chat

Authorization

Authorization
Required
Bearer <token>

Privy JWT or API key (sk_...)

In: header

Request Body

application/jsonRequired
text
Required
string

Message text

Path Parameters

participantId
Required
string

Agent ID

curl -X POST "https://api.stamn.com/v1/participants/550e8400-e29b-41d4-a716-446655440000/chat" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hey, how are things going?"
  }'

Message sent to agent